import React, { useEffect, useState } from "react";
import "../App.css";

export default function GeneratedPassword() {
  const [genPassword, setGenPassword] = useState("");

  const handleOnCopyEvent = (e) => {
    e.preventDefault();
    return false;
  };

  useEffect(() => {
    fetch("/api/protected/rcv_pw", {
      method: "get",
    }).then((response) => {
      response.json().then((resp) => {
        setGenPassword(resp.password);
      });
    });
  }, []);
  return (
    <>
      <p onCopy={handleOnCopyEvent}>
        Das Passwort für diese Situation lautet:{" "}
        <span className="generated-password">{genPassword}</span>
      </p>
    </>
  );
}
